Notification Status
- URL:https://<webhookID-url>/notificationStatus
- Version Introduced:10.7
Description
The notificationStatus resource page will display information pertaining to trigger events associated with the specified webhook. You can use this table to monitor your webhook and the details of any delivered payloads such as the time the webhook was triggered, the response received from the payload URL, and the delivered payload data.
Example usage
https://webadaptor.domain.com/webadaptorname/sharing/rest/portals/<org Id/webhooks/<webhook ID>/notificationStatus
JSON response example
{
"total": 2,
"start": 1,
"num": 25,
"nextStart": -1,
"WebhookStatus": [{
"id": "7c001f61f51e440baa81ab0616dc4143",
"isInvoked": true,
"invokedTimestamp": "2019-01-23 14:26:44.644",
"responseText": "{\"success\":\"true\"}",
"payload": "{\"info\":{\"webhookId\":\"7c001f61f51e440baa81ab0616dc4143\",\"webhookName\":\"Webhook Test\",\"portalURL\":\"https://portal.com/portalWA/\",\"when\":1548282404622},\"events\":[{\"userId\":\"86ccfe86be2d490a8507eaea82749dc6\",\"username\":\"admin\",\"when\":1548282404620,\"operation\":\"share\",\"source\":\"item\",\"id\":\"d1e9a46a0b844e46a2d9ae6b581d0c3c\",\"properties\":{\"sharedToGroups\":\"[Organization]\"}}]}"
},
{
"id": "7c001f61f51e440baa81ab0616dc4143",
"isInvoked": true,
"invokedTimestamp": "2019-01-23 14:26:37.132",
"responseText": "{\"success\":\"true\"}",
"payload": "{\"info\":{\"webhookId\":\"7c001f61f51e440baa81ab0616dc4143\",\"webhookName\":\"Webhook Test\",\"portalURL\":\"https://portal.com/portalWA/\",\"when\":1548282396697},\"events\":[{\"userId\":\"86ccfe86be2d490a8507eaea82749dc6\",\"username\":\"admin\",\"when\":1548282396682,\"operation\":\"share\",\"source\":\"item\",\"id\":\"d1e9a46a0b844e46a2d9ae6b581d0c3c\",\"properties\":{\"sharedToGroups\":\"[Everyone]\"}}]}"
}
]
}
Sample payload structure
The payload will follow a similar JSON schema with information that is relevant to the event. Review the Portal Administrator guide for more details on webhook payloads.
{
"info": {
"webhookID": "d2273e07339840e0b8a836fce564478b",
"webhookName": "Group monitoring",
"portalURL": "https://machineURL/portal",
"when": 1543192196521
},
"events": [{
"userId": "7a54f8cea29c404cbebf739cf1108653",
"username": "admin",
"when": 1543192196310,
"operation": "update",
"source": "group",
"id": "173dd04b69134bdf99c5000aad0b6298",
"properties": {}
}]
}